List extensions
GET
https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/extensions
Path Parameters
- topic-board-idstringrequiredExampleDescription
Responses
200
- topic-board-extensions
- topic_typestring[]Example
[ "Info" ]
Description - topic_statusstring[]Example
[ "Open" ]
Description - topic_labelstring[]Example
[ "Electrical" ]
Description - prioritystring[]Example
[ "High", "Normal", "Low" ]
Description - usersstring[]Example
[ "[email protected]" ]
Description - stageobject[]ExampleDescription
- project_actionsstring[]Example
[ "createTopic" ]
Description - topic_actionsstring[]Example
[ "update" ]
Description - comment_actionsstring[]Example
[ "update" ]
Description - bimsync_milestonesobject[]Description
- idstringExampleDescription
- namestringExampleDescription
curl
curl --request GET \
--url https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/extensions \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/extensions", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/extensions")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/extensions"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// OK
{
"topic_type": [
"Info"
],
"topic_status": [
"Open"
],
"topic_label": [
"Electrical"
],
"priority": [
""
],
"users": [
"[email protected]"
],
"stage": [
{}
],
"project_actions": [
"createTopic"
],
"topic_actions": [
"update"
],
"comment_actions": [
"update"
],
"bimsync_milestones": [
{
"id": "1da81d1409ec43ecbe4f9e55a79236d9",
"name": "Phase one"
}
]
}